package com.bonus.canteen.core.report.datascreen.dto;

import com.bonus.canteen.core.order.common.constants.OrderRefundStateEnum;
import com.bonus.canteen.core.order.common.constants.OrderStateEnum;
import com.bonus.canteen.core.pay.common.constants.PayStateEnum;
import com.bonus.canteen.core.report.datascreen.vo.DsAuthorityCanteenVO;
import com.bonus.common.houqin.constant.DelFlagEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel
public class DatascreenBaseDTO {
   @ApiModelProperty("食堂档口权限集合")
   List<DsAuthorityCanteenVO> canteenList;
   @ApiModelProperty("启用日期")
   private LocalDate applyDate;
   @ApiModelProperty("删除状态（正常）")
   private Integer delFlag;
   @ApiModelProperty("是否为默认(是)")
   private Integer isDefault;
   @ApiModelProperty("开始时间")
   private LocalDateTime beginTime;
   @ApiModelProperty("结束时间")
   private LocalDateTime endTime;
   @ApiModelProperty("支付状态")
   private Integer payState;
   @ApiModelProperty("订单状态-取消")
   private Integer orderState;
   @ApiModelProperty("订单退款状态-已退款,部分退款")
   private Integer orderRefundState;
   @ApiModelProperty("订单明细退菜状态")
   private List<Integer> detailStateList;

   public DatascreenBaseDTO() {
      this.delFlag = DelFlagEnum.DEL_FALSE.key();
      this.isDefault = DelFlagEnum.DEL_TRUE.key();
      this.payState = PayStateEnum.PAY_SUCC.getKey();
      this.orderState = OrderStateEnum.CANCEL.getKey();
      this.orderRefundState = OrderRefundStateEnum.FINISH.getKey();
   }

   public List<DsAuthorityCanteenVO> getCanteenList() {
      return this.canteenList;
   }

   public LocalDate getApplyDate() {
      return this.applyDate;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getIsDefault() {
      return this.isDefault;
   }

   public LocalDateTime getBeginTime() {
      return this.beginTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public Integer getPayState() {
      return this.payState;
   }

   public Integer getOrderState() {
      return this.orderState;
   }

   public Integer getOrderRefundState() {
      return this.orderRefundState;
   }

   public List<Integer> getDetailStateList() {
      return this.detailStateList;
   }

   public void setCanteenList(final List<DsAuthorityCanteenVO> canteenList) {
      this.canteenList = canteenList;
   }

   public void setApplyDate(final LocalDate applyDate) {
      this.applyDate = applyDate;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setIsDefault(final Integer isDefault) {
      this.isDefault = isDefault;
   }

   public void setBeginTime(final LocalDateTime beginTime) {
      this.beginTime = beginTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setPayState(final Integer payState) {
      this.payState = payState;
   }

   public void setOrderState(final Integer orderState) {
      this.orderState = orderState;
   }

   public void setOrderRefundState(final Integer orderRefundState) {
      this.orderRefundState = orderRefundState;
   }

   public void setDetailStateList(final List<Integer> detailStateList) {
      this.detailStateList = detailStateList;
   }

}
